Package org.pgpainless.key.generation

# Interface KeySpecBuilderInterface

All Known Implementing Classes:
  `KeySpecBuilder`

public interface KeySpecBuilderInterface

## Method Summary

Modifier and Type
Method
Description
`KeySpec`
`build()`
`KeySpecBuilder`
`overridePreferredCompressionAlgorithms(CompressionAlgorithm... compressionAlgorithms)`
`KeySpecBuilder`
`overridePreferredHashAlgorithms(HashAlgorithm... preferredHashAlgorithms)`
`KeySpecBuilder`
`overridePreferredSymmetricKeyAlgorithms(SymmetricKeyAlgorithm... preferredSymmetricKeyAlgorithms)`
`KeySpecBuilder`
`setKeyCreationDate(Date creationDate)`

## Method Details

### overridePreferredCompressionAlgorithms

KeySpecBuilder overridePreferredCompressionAlgorithms(@Nonnull CompressionAlgorithm... compressionAlgorithms)

### overridePreferredHashAlgorithms

KeySpecBuilder overridePreferredHashAlgorithms(@Nonnull HashAlgorithm... preferredHashAlgorithms)

### overridePreferredSymmetricKeyAlgorithms

KeySpecBuilder overridePreferredSymmetricKeyAlgorithms(@Nonnull SymmetricKeyAlgorithm... preferredSymmetricKeyAlgorithms)

### setKeyCreationDate

KeySpecBuilder setKeyCreationDate(@Nonnull Date creationDate)

### build

KeySpec build()